<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.project.zt.mapper.JstaMapper">


    <select id="getList" resultType="com.ruoyi.project.zt.domain.Jsta">

        select *
        from JSTA a
        where  1=1
        <if test="jh!=null and jh!=''">
            and jh =#{jh}
        </if>
        <if test="jd1!=null ">
            and jd2 > #{jd1}
        </if>
        <if test="jd2!=null ">
            and jd2 &lt;= #{jd2}
        </if>
        order by jh, xh
    </select>
</mapper>